install:
  - git submodule update --init --recursive
  - set PATH=C:\msys64\mingw32\bin;C:\msys64\usr\bin;%PATH%
  - mingw32-make -v
  - make -v
  - uname
  - set MSYS=winsymlinks:native

build_script:
  - mingw32-make 3rdparty API=win32
  - mingw32-make -C src/ print-.VARIABLES API=win32 V=1
  - mingw32-make API=win32
  - mingw32-make ziprelease API=win32
  - mingw32-make win32installer API=win32
#  - mingw32-make 3rdparty API=sdl2
#  - mingw32-make API=sdl2
#  - mingw32-make ziprelease API=sdl2

artifacts:
  - path: '*.7z'
    name: GrafX2 portable installation
  - path: 'install\*.exe'
    name: GrafX2 installer

on_failure:
  - 'dir /S tools'
